%global driver eqmod
%global revision 2675
%global date 20160202
%global checkout %{date}svn%{revision}


Name:           indi-%{driver}
Version:        1.2.0
# Post-Release checkout containing some improvements
Release:        1.%{checkout}%{?dist}
Summary:        INDI driver providing support for SkyWatcher Protocol

License:        GPLv3+
URL:            http://indilib.org/
# Checkout from upstream svn
Source0:        %{name}-%{version}.svn%{revision}.tar.xz
Source1:        %{name}-generate-tarball.sh

BuildRequires:	cmake
BuildRequires:	libindi-devel
BuildRequires:	libindi-static
BuildRequires:	libnova-devel
BuildRequires:	zlib-devel


%description
INDI driver adding support for telescope mounts using the 
SkyWatcher protocol.


%prep
%setup -q -n%{name}-%{version}.svn%{revision}


%build
%cmake
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS COPYING INSTALL README
%{_bindir}/indi_eqmod_telescope
%{_datadir}/indi/indi_*.xml


%changelog
* Tue Feb 02 2016 Christian Dersch <lupinix@fedoraproject.org> - 1.2.0-1.20160202svn2675
- updated to libindi 1.2.0 tree

* Mon Sep 07 2015 Christian Dersch <lupinix@fedoraproject.org> - 1.1.0-1.20150907svn2392
- updated to libindi 1.1.0 tree

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3.20150226svn2046
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0-2.20150226svn2046
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 26 2015 Christian Dersch <lupinix@fedoraproject.org> - 1.0.0-1.20150226svn2046
- updated to libindi 1.0.0 tree

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-3.20141015svn1783
- fixed wrong macro usage

* Wed Oct 15 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-2.20141015svn1783
- small spec fix

* Wed Oct 15 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-1.20141015svn1783
- initial spec
